Subject: Re: bug#12723: 24.2; Improvement: changing text rectangle kill/past and its integration with the kill-ring

From: Stefan Monnier <[email-masked]>
Date: Wed, 24 Oct 2012 14:59:22 -0400

> In the following, I would like to present how I think it would be
> nicer, and also more accessible to users.

100% agreement.  That's exactly how I want it to work, as well.

More specifically, I'd expect `mark-active' to take a special
`rectangle' value to mean that the current selection is
a rectangular region.

Also, I'd expect the rectangular highlighting to be done by moving the
region-highlighting code to Elisp (using the previously-mentioned
but vaporware before-redisplay-hook).

As for how to store the rectangles on the kill-ring, I haven't really
thought about it yet.  We could maybe store them as strings with
a special text-property annotation, or as lists of strings, or as a cons
cell (rectange . STRING).  The first option is probably best
compatibility-wise, while the second would be a step in the direction of
supporting general non-contiguous regions.

        Stefan